<script setup lang="ts">
import { computed } from 'vue'
import { useCustomerStore } from '../stores/customer'

const customerStore = useCustomerStore()

const displayDate = computed(() => customerStore.customerItem.birthDay?.toDateString() ?? '')
</script>

<template>
  <v-dialog v-model:model-value="customerStore.dialog" style="width: 1000px">
    <v-card prepend-icon="mdi-account-box-multiple-outline" class="pa-5" title="Add Customer">
      <v-card-text>
        <v-container>
          <v-row>
            <!-- <v-col cols="12" sm="12" md="4">
              <v-img
                :src="'http://localhost:3000/images/products/' + customerStore.customerItem.image"
                width="200"
              ></v-img>
            </v-col>
            <v-col cols="6" sm="12" md="4" class="pr-4">
              <v-file-input
                v-model="customerStore.customerItem.files"
                :rules="[
                  (value) => {
                    return (
                      !value ||
                      !value.length ||
                      value[0].size < 2000000 ||
                      'Image size should be less than 2 MB!'
                    )
                  }
                ]"
                accept="image/png, image/jpeg, image/bmp"
                placeholder="Pick an image"
                prepend-icon="mdi-image"
                label="Image"
              ></v-file-input>
            </v-col> -->
            <v-col cols="6">
              <v-text-field
                v-model="customerStore.customerItem.name"
                :rules="[(v) => !!v || 'Field is required']"
                class="mb-2"
                label="Name"
              ></v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field
                v-model="customerStore.customerItem.tel"
                :rules="[
                  (v) => !!v || 'Field is required',
                  (v) => v.length == 10 || 'invalid tel format'
                ]"
                label="Tel"
              ></v-text-field>
            </v-col>
            <v-col cols="6">
              <v-date-picker
                v-model="customerStore.customerItem.birthDay"
                :rules="[(v: any) => !!v || 'Field is required']"
                clearable
                title="Birth Date"
              >
              </v-date-picker>
            </v-col>
            <v-col cols="6">
              <v-text-field readonly v-model="displayDate" label="Birth Date"> </v-text-field>
            </v-col>
            <!-- <v-col cols="12" sm="12" md="4">
              <v-text-field
                v-model="customerStore.customerItem.status"
                :rules="[(v) => !!v || 'Field is required']"
                clearable
                label="Status"
              ></v-text-field>
            </v-col> -->
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="customerStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="customerStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<!-- <script setup lang="ts">
import { useCustomerStore } from '../stores/customer'

const customerStore = useCustomerStore()
</script>

<template>
  <v-dialog v-model:model-value="customerStore.dialog">
    <v-card class="pa-5" :title="customerStore.titleDialog">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field v-model="customerStore.customerItem.name" label="ชื่อ"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="customerStore.customerItem.tel" label="เบอร์โทร">
              </v-text-field>
            </v-col>
            <v-col cols="12">
              <p>วันเกิด</p>
              <v-date-picker v-model="customerStore.customerItem.birthDay"></v-date-picker>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="customerStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="customerStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style> -->
